<html>
  <head>
    <title>Pretest 2.1</title>
    <style>
      body {
        margin: 0;
      }

      #mainContainer {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: row;
        overflow: auto;
      }

      .col {
        border-left: 1px solid #000;
        height: 100%;
      }

      .col-1 {
        width: 200px;
        flex-shrink: 0;
      }
      .col-3 {
        width: 300px;
        flex-shrink: 0;
      }

      .col-2 {
        min-width: 100px;
        flex-grow: 1;
      }
    </style>
  </head>

  <body>
    <div id="mainContainer">
      <div class="col col-1">
        <input id="number" type="text" onchange="checkNumber()" />
      </div>
      <div class="col col-2">
        <select id="method" onchange="checkNumber()">
          <option value="isPrime">isPrime</option>
          <option value="isFibonacci">isFibonacci</option>
        </select>
      </div>
      <div class="col col-3">
        <span id="answer"></span>
      </div>
    </div>
    <script>
      function isSquare(n) {
        return n > 0 && Math.sqrt(n) % 1 === 0;
      }
      function isPrime(num) {
        for (let i = 2; i < num; i++) if (num % i === 0) return false;
        return num > 1;
      }
      function isFibonacci(num) {
        if (isSquare(5 * (num * num) - 4) || isSquare(5 * (num * num) + 4)) {
          return true;
        } else {
          return false;
        }
      }
      function checkNumber() {
        const numberElement = document.getElementById("number");
        const methodElement = document.getElementById("method");
        const answerElement = document.getElementById("answer");
        let number = 0;
        let parseNumber = parseInt(numberElement.value);
        if (!isNaN(parseNumber)) {
          number = parseNumber;
        }
        if (number < 0) {
          number = 1;
        }
        numberElement.value = number;
        let answer = "";
        if (methodElement.value === "isPrime") {
          answer = isPrime(number);
        } else if (methodElement.value === "isFibonacci") {
          answer = isFibonacci(number);
        }
        answerElement.textContent = answer;
      }
    </script>
  </body>
</html>
